aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
Diffstat (limited to 'community')
-rw-r--r--community/sngrep/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/community/sngrep/APKBUILD b/community/sngrep/APKBUILD
new file mode 100644
index 0000000000..e74149cf90
--- /dev/null
+++ b/community/sngrep/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=sngrep
+pkgver=1.1.0
+pkgrel=2
+pkgdesc="A tool for displaying SIP call message flows from a terminal"
+url="https://github.com/irontec/sngrep"
+arch="all"
+license="GPL"
+depends="sed"
+depends_dev=""
+makedepends="$depends_dev autoconf automake ncurses-dev libpcap-dev pcre-dev openssl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.zip::https://github.com/irontec/sngrep/archive/v1.1.0.zip"
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./bootstrap.sh
+ ./configure --prefix=/usr \
+ --with-openssl \
+ --with-pcre \
+ --enable-ipv6
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir/" install
+}
+
+md5sums="7afab05eacc4b78ebaa1cf2bb1e8500e sngrep-1.1.0.zip"
+sha256sums="1fae2b8ea7cd7b01c7702a7d4d92f4790ea2c0deacdc58a745ab0d3df6422d3a sngrep-1.1.0.zip"
+sha512sums="a4a4f74e08f77ee485166586a915d25dec019ff0b5831cc77fb67e3efe8f8614a1b0650b1b73e2143d4a86b281372875ea00ad78fe119d2dc2407b7e61683d73 sngrep-1.1.0.zip"